CREATE FUNCTION "DBA"."get_dk_alus"( in a_nimi char(50) )
RETURNS INTEGER
BEGIN
  declare li_return integer;
  set a_nimi=Trim(a_nimi);
  if Length(a_nimi)>0 then
    select dk_alus.alusnr into li_return from dk_alus where dk_alus.nimi=a_nimi;
  end if;
  if li_return=0 then
    set li_return=null
  end if;
  return li_return;
END